#!/bin/bash
#
EMU=OScam_1.20-svn7173.x86
case $1 in
install)
	if [ -f /var/bin/$EMU >>/dev/null 2>&1 ];
	then
		echo -e "\n\t\t\033[1;31;40m$EMU \033[1;37;40mbereits installiert\033[0m\n"
		exit 0
	fi
	echo -e "\n\t\t\033[1;37;40mInstalliere \033[1;32;40m$EMU\033[0m"
	chmod 755 oscam.conf
	chmod 755 oscam.server
	chmod 755 oscam.services
	chmod 755 oscam.srvid
	chmod 755 oscam.user
	chmod 755 OScam_1.20-svn7173.x86.rotate
	chmod 755 $EMU
	if [ -d /var/etc >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/etc
	fi
	if [ -d /var/etc/picon >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc/picon \033[1;37;40mbereits vorhanden\033[0m"
	else
		cd /var/etc
                wget http://athlon1900.dyndns.tv/OsirisCS/picon/picon.tar.gz
                tar xfv picon.tar.gz
                rm picon.tar.gz
                cd -
	fi
	if [ -d /usr/cs/Cams/ >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/usr/cs/Cams/ \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /usr/cs/Cams/
	fi
	if [ -d /var/bin >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/bin \033[1;37;40mbereits vorhanden\033[0m"
	else
		mkdir /var/bin
	fi
	if [ -L /usr/local/etc >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mOrdner \033[1;32;40m/var/etc \033[1;37;40mbereits vorhanden\033[0m"
	else
		ln -s /var/etc /usr/local/etc
	fi
	if [ -f /var/etc/harvest_round_Firefox.css >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/harvest_round_Firefox.css \033[1;37;40mbereits vorhanden\033[0m"
	else
                wget http://athlon1900.dyndns.tv/OsirisCS/OScam-Style/harvest_round_Firefox.css
		cp harvest_round_Firefox.css /var/etc
	fi
	if [ -f /var/etc/light-blue-3d-button-style.css >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/light-blue-3d-button-style.css \033[1;37;40mbereits vorhanden\033[0m"
	else
                wget http://athlon1900.dyndns.tv/OsirisCS/OScam-Style/light-blue-3d-button-style.css
		cp light-blue-3d-button-style.css /var/etc
	fi
	if [ -f /var/etc/proflinux_ddcstyle.css >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/proflinux_ddcstyle.css \033[1;37;40mbereits vorhanden\033[0m"
	else
                wget http://athlon1900.dyndns.tv/OsirisCS/OScam-Style/proflinux_ddcstyle.css
		cp proflinux_ddcstyle.css /var/etc
	fi
	if [ -f /var/etc/style.css >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/style.css \033[1;37;40mbereits vorhanden\033[0m"
	else
                wget http://athlon1900.dyndns.tv/OsirisCS/OScam-Style/style.css
		cp style.css /var/etc
	fi
	if [ -f /var/etc/xentrix.css >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/xentrix.css \033[1;37;40mbereits vorhanden\033[0m"
	else
                wget http://athlon1900.dyndns.tv/OsirisCS/OScam-Style/xentrix.css
		cp xentrix.css /var/etc
	fi
	if [ -f /var/etc/oscam.conf >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.conf \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.conf /var/etc
	fi
	if [ -f /var/etc/oscam.server >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.server \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.server /var/etc
	fi
	if [ -f /var/etc/oscam.services >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.services \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.services /var/etc
	fi
	if [ -f /var/etc/oscam.srvid >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.srvid \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.srvid /var/etc
	fi
	if [ -f /var/etc/oscam.user >>/dev/null 2>&1 ];
	then
		echo -e "\t\t\033[1;37;40mDatei \033[1;32;40m /var/etc/oscam.user \033[1;37;40mbereits vorhanden\033[0m"
	else
		cp oscam.user /var/etc
	fi
	cp $EMU /var/bin
	cp OScam_1.20-svn7173.sh /usr/cs/Cams/
	cp OScam_1.20-svn7173.x86.rotate /usr/cs/Cams/
	sed "s/##Installierte EMUs/##Installierte EMUs\n#\t$EMU/" /usr/cs/cs.conf > /cs.conf
	cp /cs.conf  /usr/cs/cs.conf
	rm /cs.conf
	echo -e "\t\t\033[1;37;40mInstallation des \033[1;32;40m$EMU \033[1;37;40merfolgreich\033[0m\n"
	;;
uninstall)
	if [ -f /var/bin/$EMU >>/dev/null 2>&1 ];
	then
		echo -e "\n\t\t\033[1;37;40mDeinstalliere \033[1;32;40m$EMU\033[0m"
		rm -f /var/bin/$EMU
		rm -f /usr/cs/Cams/OScam_1.20-svn7173.sh
		rm -f /usr/cs/Cams/OScam_1.20-svn7173.x86.rotate
		sed -e "/#\t$EMU/"d /usr/cs/cs.conf > /cs.conf
		cp /cs.conf  /usr/cs/cs.conf
		rm /cs.conf
		echo -e "\t\t\033[1;37;40mDeinstallation des \033[1;32;40m$EMU \033[1;37;40merfolgreich\033[0m\n"
	else
		echo -e "\n\t\t\033[1;31;40m$EMU \033[1;37;40mnicht installiert\033[0m\n"
		exit 0
	fi
	;;
esac
exit 0
